* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
}


/*============== PHONE STYLES & BIGGER ==============*/
body{
    background-color: #cfc;
    color: #345;
    font-family: "verdana";
}

.container{
    margin: 4px 8px;
}

.page-header{
    background-color: rgb(20,20,200);
    min-height: 80px;
    color: rgb(240, 240, 240);
    text-align: center;
}

.page-body{
    display: flex;
    flex-flow: row wrap;
}

.main-nav{
    background-color: rgb(255,165,0);
    min-height: 70px;
    flex-basis: 260px;
    flex-grow: 1;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    gap: 10px;
    padding: 10px 8px; 
}

.main-nav a{
    padding: 8px 12px;
    background-color: rgb(255, 195, 40);
    color: #234;
    text-decoration: none;
}

.main-nav .desktop{
    border: 2px solid #234;
    display: none;
}

.main-nav .phone{
    border: 4px solid black;
    display: inline;
}

article{
    background-color: rgba(255, 255, 255, 0.7);
    min-height: 400px;
    flex-basis: auto;
    flex-grow: 1;
}

article > header{
    background-color: rgb(20, 200, 20);
    min-height: 60px;
    margin: 8px
}

.hero{
    background-color: rgb(220, 220, 20);
    aspect-ratio: 2/1;
    min-height: 200px;
    margin: 8px;
    background-image: url("../images/rtrip1-thumb.jpg");
    background-size: cover;
    background-position: center;
}

article p{
    font-size: 1.2em;
    line-height: 1.4;
    margin: .2em 8px 1.2em 8px;    
}

article footer{
    background-color: rgb(100, 100, 100);
    color:#EEE;
    min-height: 60px;
}

/*============== LANDSCAPE TABLET & BIGGER ==============*/
@Media screen and (min-width: 1020px){

    .page-header{
        text-align: left;
    }
    
    article > header{
    margin: 0;
    }

    article{
        flex-basis: 400px;
    }
    
    
    .main-nav{
    flex-grow: 0;
    }

    .main-nav .desktop{
    border: 2px solid #234;
    display: flex;
}

    .hero{
        margin: 16px;
        width: 260px;
        aspect-ratio: 1;
        float: left;
    }

    article > p:nth-of-type(1){
        margin-top: 16px;
    }

    article > p:nth-of-type(1)::first-letter{
        display: block;
        color: darkred;
        font-size: 3em;
        float: left;
        padding-right: 8px;
    }


    .main-nav .desktop{
        display: inline;
    }



}